import { IAnyOrganization } from '../../models';
export type IOrganizationState = {
    organizations: IAnyOrganization[];
};
export type OrganizationState = IOrganizationState & {
    updateOrganizations: (organizations: IAnyOrganization[]) => void;
};
export declare const organizationStore: import("zustand").StoreApi<OrganizationState>;
export declare function useOrganizationStore(): OrganizationState;
export declare function useOrganizationStore<T>(selector: (state: OrganizationState) => T): T;
export default useOrganizationStore;
